using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.SpecificationManager.repository;

namespace e_suite.Modules.SpecificationManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<SpecificationManagerRepository>().As<ISpecificationManagerRepository>().InstancePerLifetimeScope();

        builder.RegisterType<SpecificationManager>().As<ISpecificationManager>().InstancePerLifetimeScope();
    }
}